Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


Name:           nodejs-define-properties
Version:        1.1.3
Release:        alt1_2
Summary:        Define multiple non-enumerable properties at once

License:        MIT
URL:            https://github.com/ljharb/define-properties
Source0:        https://registry.npmjs.org/define-properties/-/define-properties-%{version}.tgz
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

BuildRequires:  npm(foreach)
BuildRequires:  npm(object-keys)
BuildRequires:  npm(tape)
Source44: import.info


%description
Define multiple non-enumerable properties at once. Use
Object.defineProperty when available; falls back to standard
assignment in older engines. Existing properties are not
overridden. Accepts a map of property names to a predicate
that, when true, force-overrides.


%prep
%setup -q -n package

rm -rf node_modules


%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/define-properties
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/define-properties
%nodejs_symlink_deps


%check
%nodejs_symlink_deps --check
%{__nodejs} test/index.js


%files
%doc README.md CHANGELOG.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/define-properties


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt1_2
- new version

* Thu Mar 21 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.3-alt0.1.njs.bootstrap
- bootstrap

